angular.module('focaCrearFactura')
    .service('crearFacturaService', ['$http', 'API_ENDPOINT',
    function($http, API_ENDPOINT) {
        var route = API_ENDPOINT.URL;
        return {
            guardarFactura: function (factura) {
                return $http.post(route + '/factura/guardar', factura)
            },
            getParametros: function() {
                return $http.get(API_ENDPOINT.URL + '/parametros/factura');
            },
            validarPlanillaVendedor: function(idVendedor) {
                return $http.get(route + '/turnos/validar-planilla/' + idVendedor);
            },
            getProductosByPlanilla: function (numeroPlanilla) {
                return $http.get(route + '/turnos/productos/' + numeroPlanilla);
            },
            getBotonera: function() {
                return [
                    {
                        label: 'Vendedor',
                        image: 'vendedor.png'
                    },
                    {
                        label: 'Cliente',
                        image:  'cliente.png'
                    },
                    {
                        label: 'Moneda',
                        image:  'moneda.png'
                    },
                    {
                        label: 'Observaciones',
                        image: 'botonObservaciones.png'
                    }
                ];
            }
        };
    }]);
